Subject: Re: SSH session terminates with Ctl+C
From: Jeff Nokes <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Tue, 5 Aug 2003 16:17:24 -0700 (PDT)

> I did not run against RH 9.0 / OpenSSH 3.5p1, so I can not testify
> first hand on this. I did (and still) run older Red Hat versions (7.2,
> 7.3), OpenSSH 2.9/3.1 and it works without any problems.
> 
> Just 1 more suggestion: Run your ssh in debug mode (with -v) and check
> the last lines of the session. If you see the summary lines (i.e. the
> "debug1: compress incoming/outgoing: raw data <nnnn>, compressed <nnnn>,
> factor <rrrr>" then the session was terminated by the sshd (i.e. Linux).
> If you don't then it was terminated locally (i.e. Cygwin).
> 
> Ehud.

Hi Ehud,
Here's my ssh -v output:

*********************************************
jnokes@D-SJC-JNOKES ~
$ ssh -v jnokes@row-cm
OpenSSH_3.6.1p1, SSH protocols 1.5/2.0, OpenSSL 0x0090702f
debug1: Reading configuration data /cygdrive/c/Documents and
Settings/jnokes/.ssh/config
debug1: Rhosts Authentication disabled, originating port will not be trusted.
debug1: Connecting to row-cm [10.254.31.182] port 22.
debug1: Connection established.
debug1: identity file /cygdrive/c/Documents and Settings/jnokes/.ssh/identity
type 2
debug1: identity file /cygdrive/c/Documents and Settings/jnokes/.ssh/id_rsa
type -1
debug1: identity file /cygdrive/c/Documents and Settings/jnokes/.ssh/id_dsa
type -1
debug1: Remote protocol version 1.99, remote software version OpenSSH_3.5p1
debug1: match: OpenSSH_3.5p1 pat OpenSSH*
debug1: Enabling compatibility mode for protocol 2.0
debug1: Local version string SSH-2.0-OpenSSH_3.6.1p1
debug1: SSH2_MSG_KEXINIT sent
debug1: SSH2_MSG_KEXINIT received
debug1: kex: server->client aes128-cbc hmac-md5 none
debug1: kex: client->server aes128-cbc hmac-md5 none
debug1: SSH2_MSG_KEX_DH_GEX_REQUEST sent
debug1: expecting SSH2_MSG_KEX_DH_GEX_GROUP
debug1: SSH2_MSG_KEX_DH_GEX_INIT sent
debug1: expecting SSH2_MSG_KEX_DH_GEX_REPLY
debug1: Host 'row-cm' is known and matches the RSA host key.
debug1: Found key in /cygdrive/c/Documents and
Settings/jnokes/.ssh/known_hosts:6
debug1: ssh_rsa_verify: signature correct
debug1: SSH2_MSG_NEWKEYS sent
debug1: expecting SSH2_MSG_NEWKEYS
debug1: SSH2_MSG_NEWKEYS received
debug1: SSH2_MSG_SERVICE_REQUEST sent
debug1: SSH2_MSG_SERVICE_ACCEPT received
debug1: Authentications that can continue:
publickey,password,keyboard-interactive
debug1: Next authentication method: publickey
debug1: Offering public key: /cygdrive/c/Documents and
Settings/jnokes/.ssh/identity
debug1: Server accepts key: pkalg ssh-dss blen 433 lastkey 0x100f97e8 hint 0
debug1: read PEM private key done: type DSA
debug1: Authentication succeeded (publickey).
debug1: channel 0: new [client-session]
debug1: Entering interactive session.
debug1: channel 0: request pty-req
Warning: No xauth data; using fake authentication data for X11 forwarding.
debug1: Requesting X11 forwarding with authentication spoofing.
debug1: channel 0: request x11-req
debug1: channel 0: request shell
debug1: channel 0: open confirm rwindow 0 rmax 32768
[jnokes@row-cm jnokes]$ debug1: channel_free: channel 0: client-session,
nchannels 1
Killed by signal 2.
debug1: Calling cleanup 0x4138d0(0x0)
debug1: Calling cleanup 0x41b2a0(0x0)

jnokes@D-SJC-JNOKES ~
$
*********************************************

Also,
I have a RH 7.2 box that I ssh to as well, and the same behavior occurs there
as well.  Here is the output of that if you are interested:

*********************************************
jnokes@D-SJC-JNOKES ~
$ ssh -v jnokes@row-dev-02
OpenSSH_3.6.1p1, SSH protocols 1.5/2.0, OpenSSL 0x0090702f
debug1: Reading configuration data /cygdrive/c/Documents and
Settings/jnokes/.ssh/config
debug1: Rhosts Authentication disabled, originating port will not be trusted.
debug1: Connecting to row-dev-02 [10.254.31.184] port 22.
debug1: Connection established.
debug1: identity file /cygdrive/c/Documents and Settings/jnokes/.ssh/identity
type 2
debug1: identity file /cygdrive/c/Documents and Settings/jnokes/.ssh/id_rsa
type -1
debug1: identity file /cygdrive/c/Documents and Settings/jnokes/.ssh/id_dsa
type -1
debug1: Remote protocol version 1.99, remote software version OpenSSH_3.1p1
debug1: match: OpenSSH_3.1p1 pat OpenSSH_2.*,OpenSSH_3.0*,OpenSSH_3.1*
debug1: Enabling compatibility mode for protocol 2.0
debug1: Local version string SSH-2.0-OpenSSH_3.6.1p1
debug1: SSH2_MSG_KEXINIT sent
debug1: SSH2_MSG_KEXINIT received
debug1: kex: server->client aes128-cbc hmac-md5 none
debug1: kex: client->server aes128-cbc hmac-md5 none
debug1: SSH2_MSG_KEX_DH_GEX_REQUEST sent
debug1: expecting SSH2_MSG_KEX_DH_GEX_GROUP
debug1: SSH2_MSG_KEX_DH_GEX_INIT sent
debug1: expecting SSH2_MSG_KEX_DH_GEX_REPLY
debug1: Host 'row-dev-02' is known and matches the RSA host key.
debug1: Found key in /cygdrive/c/Documents and
Settings/jnokes/.ssh/known_hosts:11
debug1: ssh_rsa_verify: signature correct
debug1: SSH2_MSG_NEWKEYS sent
debug1: expecting SSH2_MSG_NEWKEYS
debug1: SSH2_MSG_NEWKEYS received
debug1: SSH2_MSG_SERVICE_REQUEST sent
debug1: SSH2_MSG_SERVICE_ACCEPT received
debug1: Authentications that can continue:
publickey,password,keyboard-interactive
debug1: Next authentication method: publickey
debug1: Offering public key: /cygdrive/c/Documents and
Settings/jnokes/.ssh/identity
debug1: Authentications that can continue:
publickey,password,keyboard-interactive
debug1: Trying private key: /cygdrive/c/Documents and
Settings/jnokes/.ssh/id_rsa
debug1: Trying private key: /cygdrive/c/Documents and
Settings/jnokes/.ssh/id_dsa
debug1: Next authentication method: keyboard-interactive
debug1: Authentications that can continue:
publickey,password,keyboard-interactive
debug1: Next authentication method: password
jnokes@row-dev-02's password:
debug1: Authentication succeeded (password).
debug1: channel 0: new [client-session]
debug1: Entering interactive session.
debug1: channel 0: request pty-req
Warning: No xauth data; using fake authentication data for X11 forwarding.
debug1: Requesting X11 forwarding with authentication spoofing.
debug1: channel 0: request x11-req
debug1: channel 0: request shell
debug1: channel 0: open confirm rwindow 0 rmax 32768
Last login: Fri Jul 25 17:57:35 2003 from d-sjc-jnokes.corp.ebay.com
[jnokes@row-dev-02 jnokes]$ debug1: channel_free: channel 0: client-session,
nchannels 1
Killed by signal 2.
debug1: Calling cleanup 0x4138d0(0x0)
debug1: Calling cleanup 0x41b2a0(0x0)

jnokes@D-SJC-JNOKES ~
$
*****************************************

Hope this helps.
Thanks again,
- Jeff

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/